Page 1 of 2

Gambas for Puppy-Linux

Posted: Tuesday 20th December 2016 9:24am
by didier18
Hello everyone

Congratulations to the administrators for the creation of this new site that I just discovered by chance.

I use mainly the light linux distributions (which are often forsaken and have (in my opinion) not the place they deserve so much their capacity evolved over time), like ToOpPy V2.1 (official site ToOpPy) which is in English native or Tahr64-6.0.5 that can be downloaded here: Tahr64-6.0.5

There is of course an official site for all distributions "Puppy-Linux" Murga-Linux

Since gambas3 did not exist for these distributions, I compiled and made available to all gambas (I can possibly do an installation tutorial) ...

Have a good day.

Re: Gambas for Puppy-Linux

Posted: Tuesday 20th December 2016 10:08am
by cogier
Hi didiier18 and welcome to the site.

Please feel free to post your tutorial. If you are familiar with Wordpress let us know and we can let you have access.

I just wondered, if you use the 'Ubuntu' version of Puppy Linux can you not use the Gambas ppa?

Re: Gambas for Puppy-Linux

Posted: Tuesday 20th December 2016 4:00pm
by didier18
Hi cogier

In fact there is not (to my knowledge) PPA for Puppy-Linux distributions. In general to load programs, there are 3 different types of extensions (.pet, .sfs and of course .deb).

.pet and .sfs manage the menu entries like the .deb, but when constructing a .pet or .sfs, you must "embark" all the dependencies necessary for the correct operation of the program.

And actually a .sfs is nothing but a .pet that is installed in "overlay" so much easier to manage for the user.

Puppy-linux has a PPM which is a kind of PPA but is not compatible with all versions of Puppy-Linux (only a few files are common (the langpack for example) in fact we end up with programs (See obsolete), as an example we find gambas in some PPM, but it is the vesrion 3.1.1 see in some depots gambas2 ...
This is logical because each Puppy-Linux has a different "kernel" (some speak of "flavor").
Here is more information about the different Puppy's' : distrowatch

In addition to the 'PPM' that can handle the .pet packages, each Puppy-Linux has an SFS Load (the name and version may be different depending on the distribution), which handles the .sfs package

Advantage or inconvenience, the user is "root", so the commands 'sudo', 'get-update' (among others) are not recognized.
In general the distributions weigh less than 300Mo which allows the installation and the daily use on small USB key. For example, we can install a Puppy-Linux + a suite 'Office' + gambas3 on a key of 2GB and there is room to accommodate its give.

So the package gambas3_3.9.1.sfs is neither more nor less than a big package .deb which will contain all the small packages .deb of gambas3 + all necessary dependencies and which installs at once (a little like a Archive .zip).
Since the Puppy-Linux runs in RAM of host PC, this gives the programs a high speed of execution. Some old PCs find a new youth.

Have a good day

Re: Gambas for Puppy-Linux

Posted: Saturday 31st December 2016 11:06am
by didier18
Hello
Here is a tutorial to install the ToOpPy V2.1 distribution from a cd-rom on a usb key here
For those who want more information on this distribution, there are some videos (Anaxagore ) here and well on more video on youtube .
When ToOpPy (or other puppy-linux distribution) is installed on the usb key to install gambas follow the following steps:
1 - Download the file gambas3_3.9.1.sfs here
2 - Go to menu / configuration / SFS-Load SFS loader.
3 - Click-drag gambas3_3.9.1.sfs into the field of the file to be loaded.
4 - After a few moment Gambas will be available in menu / utility / gambas.

NB: If you want to use the translation for your programs, you have to install the GNU tools, the easiest way is to install the devx2.1.sfs (which contains them) that you can find here: here or from the ToOpPy application installation ...

If you installed a 64bit version, (in step 1) you will need to download and install gambas3_3.9.1_amd64.sfs.

Have a good day.

Re: Gambas for Puppy-Linux

Posted: Tuesday 03rd January 2017 10:36am
by jornmo
I made a news item about this on the front page http://wordpress.gambas.one/2017/01/03/ ... ppy-linux/

Re: Gambas for Puppy-Linux

Posted: Tuesday 03rd January 2017 6:27pm
by didier18
Hello

Thanks jornmo for creating this page about puppy-linux.
The screen capture now seems to me the 'Tahrpup 32bit' ... The sfs packages which I speak more haus are also compatible with this version, it just needs to load and program ...

NB gambas3_3.9.1_amd64.sfs is also compatible with the 'Tahrpup 64bit'.

Below a summary or gambas3_3.9.1 works with the distributions I have been able to test.

ASRIEdu 310 beta (32bit)
Slacko 5.6 (32bit)
Slacko 5.7 (32bit)
Tahrpup6.0 (32bit)
Tahrpup64 V6.0.5 (64bit)
ToOpPy V1 (32bit)
ToOpPy V2.1 (32bit)
Triton V5.7 (32bit)

Have a good day.

Re: Gambas for Puppy-Linux

Posted: Wednesday 04th January 2017 9:42am
by jornmo
The image was the best I could find that had a reasonable size :)

Thanks for your contribution and welcome to the forums!

Re: Gambas for Puppy-Linux

Posted: Monday 09th January 2017 6:16pm
by didier18
Hello

The new version of gambas3_3.9.2.sfs (for 32bit PCs) and gambas3_3.9.2_amd64.sfs (for 64bit PCs) here ...

Have a good day.

Re: Gambas for Puppy-Linux

Posted: Tuesday 07th February 2017 10:31am
by didier18
Hello

I posted a little video here to show how easy it is to install gambas3 on a distribution "puppy linux" (here the ToOpPy V2.2 In 32Bit).

Have a good day.

Re: Gambas for Puppy-Linux

Posted: Saturday 11th February 2017 9:04am
by casperl
Nice vid. This motivated me to start a puppy-linux installation in Virtualbox and play with it. Many years since I last used puppy-linux.